New API version v7.12 has been released! 🎉
REST DocumentationInvoice ItemsList Invoice Items

Get All Invoice Items

You can use this endpoint to retrieve a paginated list of all invoice items across all invoices. It supports filtering by id, status, project and planned date range.

Request

GET /api/v1/invoice-items
curl --request GET \
     --url 'https://www.zep-online.de/zepinstanz/next/api/v1/invoice-items' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer {token}'

Response

{
	"data": [
        {
            "id": 97,
            "project_id": 1,
            "customer_number": "10001",
            "from": null,
            "to": null,
            "repetition": null,
            "quantity": "1.00000",
            "unit_price": "815.0000",
            "unit": null,
            "currency": "EUR",
            "language": "de",
            "status": {
                "id": 2,
                "name": "Billed"
            },
            "kind": {
                "id": 1,
                "name": "Flat Rate"
            },
            "invoice_number": "20240001",
            "invoice_text": "",
            "sorting": "1",
            "contains_working_hours": null,
            "contains_receipts": null,
            "contains_travel_expenses": null,
            "planned_amount": null,
            "planned_date": "2024-05-31T00:00:00.000000Z",
            "billed_amount": "815.00",
            "billed_date": "2024-05-31T00:00:00.000000Z",
            "vat": "19.0000",
            "project_task_id": 100,
            "ticket_id": null,
            "article_id": null,
            "revenue_accounts": [
                {
                    "vat": 19.0,
                    "revenue_account": "8400"
                }
            ]
        }
	]
}

Optional Parameters

  • Name
    id
    Type
    integer[]
    Description

    Filter by one or more invoice item ids. Accepts a single value or an array (id[]=97&id[]=98).

  • Name
    status
    Type
    integer[]
    Description

    Filter by status. Accepts a single value or an array (status[]=0&status[]=1). Values: 0 = PLANNED, 1 = APPROVED, 2 = BILLED, 3 = CANCELED.

  • Name
    project_id
    Type
    integer[]
    Description

    Filter by one or more project ids. Accepts a single value or an array (project_id[]=1&project_id[]=2).

  • Name
    planned_from
    Type
    string
    Description

    Filter items with planned_date greater than or equal to this date (inclusive, format YYYY-MM-DD).

  • Name
    planned_to
    Type
    string
    Description

    Filter items with planned_date less than or equal to this date (inclusive, format YYYY-MM-DD).

  • Name
    limit
    Type
    integer
    Description

    Number of results per page (default 15, maximum 200).

  • Name
    page
    Type
    integer
    Description

    Page number (default 1).